﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Analysis;
using HeuristicLab.Core;

namespace HeuristicLab.DataPreprocessing.Implementations {

  [Item("PreprossingDataTable", "A table of data values.")]
  public class PreprocessingDataTable : DataTable {

    public PreprocessingDataTable()
      : base() {
        SelectedRows = new NamedItemCollection<DataRow>();
    }
    public PreprocessingDataTable(string name)
      : base(name) {
        SelectedRows = new NamedItemCollection<DataRow>();
    }

    private NamedItemCollection<DataRow> selectedRows;
    public NamedItemCollection<DataRow> SelectedRows {
      get { return selectedRows; }
      private set {
        if (selectedRows != null) throw new InvalidOperationException("Rows already set");
        selectedRows = value;
        //if (selectedRows != null) RegisterRowsEvents();
      }
    }



  }
}
